Subject: bug#54060: 29.0.50; diff-buffers should take narrowing into account

From: Philipp Stephani <[email-masked]>
Date: Mon, 21 Mar 2022 23:31:58 +0100

> Am 19.02.2022 um 13:29 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
> Philipp Stephani <[email-masked]> writes:
> 
>> Unlike ediff-buffers, diff-buffers always compares the entire buffer
>> contents, not the accessible portion.  I think it would be better to
>> restrict the diff to the accessible portion, since normally buffer
>> commands only act on the accessible portion (and the capability to
>> compare only portions of buffers is occasionally quite useful!).
> 
> Makes sense to me, but I rarely use diff-buffers, so I don't really know
> what the expectations are.  
> 
>> IIUC the only change needed would be to replace (write-region nil nil
>> ...)  in diff-file-local-copy with (write-region (point-min)
>> (point-max) ...).  If we don't want to change the default behavior,
>> then this could be made configurable with a customization option.
> 
> I think it would make sense to change the default behaviour, but perhaps
> have an option to switch it back to the old behaviour.
> 
> Any opinions?

I agree.  At least my opinion/expectation is that commands should by default act on the accessible portion of the buffer.